Subject: Re: Valid file-name characters
From: "David A. Cobb" <[email-masked]>
To: Randall R Schulz <[email-masked]>
Cc: [email-masked]
Date: Tue, 23 Jul 2002 16:43:28 -0400

Randall R Schulz wrote:

> At 16:18 2002-07-22, David A. Cobb wrote:
>
>> ...
>>
>> It only makes sense to me to escape characters that are a real 
>> problem ( vs. a nuisance ) for one system or the other.  The ones I'm 
>> sure of in Windoz are the colon and slashes.  Would Linux, for 
>> example, allow a file with (shell-escapd) backslashes?  There are 
>> others, but I haven't done the research yet.
>
>
> See the attached GIF for Windows' reproach. If you don't care to do 
> that, I'll transcribe:

I have plenty of reproaches for them too!  Thanks, I meant to conjure up 
that box.
I'm thinking of this as the _last_ step before sending a windowized 
pathname to the OS -- encode any of the char's shown except the 
PATH-SEP.  Actually, both slashes are verboten.  Coming back the other 
way I'd be tempted to be more permissive and try decoding any %XY | X in 
{0..9+A..F), Y in (0..9+A..F) but that may be an evil temptation. 
 Reversing only what we ourselves do is far safer.

> Randall Schulz
> Mountain View, CA USA
>
> ------------------------------------------------------------------------
>
>------------------------------------------------------------------------
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/
>

-- 
David A. Cobb, Software Engineer, Public Access Advocate
"By God's Grace I am a Christian man, by my actions a great sinner." -- The Way of a Pilgrim; R. M. French, tr.
Life is too short to tolerate crappy software.
.